package com.ruoyi.ems.domain;

import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 能源策略对象 adm_op_energy_strategy
 *
 * @author ruoyi
 * @date 2024-08-08
 */
public class OpEnergyStrategy extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 区域代码 */
    private String areaCode;

    /** 策略代码 */
    private String strategyCode;

    /** 策略名称 */

    private String strategyName;

    /** 策略描述 */
    private String strategyDesc;

    /** 策略类型 */
    private Integer strategyType;

    /** 策略状态 */
    private Integer strategyState;

    /** 执行模式 1：定时执行（cron）99：手动执行 */
    private Integer execMode;

    /** 执行规则 */
    private String execRule;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getStrategyCode() {
        return strategyCode;
    }

    public void setStrategyCode(String strategyCode) {
        this.strategyCode = strategyCode;
    }

    public String getStrategyName() {
        return strategyName;
    }

    public void setStrategyName(String strategyName) {
        this.strategyName = strategyName;
    }

    public String getStrategyDesc() {
        return strategyDesc;
    }

    public void setStrategyDesc(String strategyDesc) {
        this.strategyDesc = strategyDesc;
    }

    public Integer getStrategyType() {
        return strategyType;
    }

    public void setStrategyType(Integer strategyType) {
        this.strategyType = strategyType;
    }

    public Integer getStrategyState() {
        return strategyState;
    }

    public void setStrategyState(Integer strategyState) {
        this.strategyState = strategyState;
    }

    public Integer getExecMode() {
        return execMode;
    }

    public void setExecMode(Integer execMode) {
        this.execMode = execMode;
    }

    public String getExecRule() {
        return execRule;
    }

    public void setExecRule(String execRule) {
        this.execRule = execRule;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaCode", getAreaCode())
            .append("strategyCode", getStrategyCode())
            .append("strategyName", getStrategyName())
            .append("strategyDesc", getStrategyDesc())
            .append("strategyType", getStrategyType())
            .append("strategyState", getStrategyState())
            .append("execMode", getExecMode())
            .append("execRule", getExecRule())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
